lpinfo(8)

NOME
lpinfo - mostra dispositivos ou drivers disponíveis (descontinuado)

RESUMO
lpinfo [ -h server[:port] ] [ -E ] [ -l ] [ --device-id device-id-string ] [ --exclude-schemes scheme-list ] [ --include-schemes scheme-list ] [ --language locale ] [ --make-and-model name ] [ --product name ] -m
lpinfo [ -h server[:port] ] [ -E ] [ -l ] [ --exclude-schemes scheme-list ] [ --include-schemes scheme-list ] [ --timeout seconds ] -v

DESCRIÇÃO
lpinfo lista todos os dispositivos disponíveis ou drivers conhecidas do servidor CUPS. A primeira forma (-m) lista as drivers disponíveis, enquanto a segunda forma (-v) lista os dispositivos disponíveis.

OPÇÕES
lpinfo aceita as seguintes opções:

-E  Força encriptação ao ligar ao servidor.

-h server[:port]
    Seleciona um servidor alternativo. Nota: Esta opção tem de ocorrer antes de todas as outras.

-l  Mostra uma listagem "longa" de dispositivos ou drivers.

--device-id device-id-string
    Especifica o ID de dispositivo IEEE-1284 a corresponder ao listar drivers com a opção -m.

--exclude-schemes scheme-list
    Especifica uma lista delimitada por vírgulas de dispositivos ou esquemas PPD que devem ser excluídos dos resultados. Ficheiros PPD estáticos usam o esquema "file".

--include-schemes scheme-list
    Especifica uma lista delimitada por vírgulas de dispositivos ou esquemas PPD que devem ser incluídos nos resultados. Ficheiros PPD estáticos usam o esquema "file".

--language locale
    Especifica a linguagem a corresponder quando se lista drivers com a opção -m.

--make-and-model name
    Especifica a marca e modelo a corresponder quando se lista drivers com a opção -m.

--product name
    Especifica o produto a corresponder quando se lista drivers com a opção -m.

--timeout seconds
    Especifica o tempo limite ao listar dispositivos com a opção -v.

DE ACORDO COM
O comando lpinfo é único do CUPS.

EXEMPLOS
Listar todos os dispositivos:

    lpinfo -v

Listar todas as drivers:

    lpinfo -m

Listar drivers que correspondem a "HP LaserJet":

    lpinfo --make-and-model "HP LaserJet" -m

NOTAS
Drivers de impressoras e backends do CUPS estão descontinuados e não irão ser mais suportados num futuro lançamento do CUPS. Impressoras que não suportem IPP podem ser suportadas usando aplicações como a ippeveprinter(1).

VEJA TAMBÉM
lpadmin(8), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.